POST
/boards/{board_id}/custom_monitorsCreate custom monitor
Create a new custom monitor for the specified board. Custom monitors allow you to add manually managed services to your status page. You can update their status manually as needed.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
board_idstringrequired
Unique ID of the board
descriptionstringoptional
Description for the monitor
metadataobjectoptional
Key/value tags
monitor_group_idstringoptional
ID of the monitor group to assign this monitor to
namestringrequired
Display name for the monitor
201custom monitor created with monitor group
dataobjectoptional
successbooleanoptional
401unauthorized
422validation errors
errorsarray<string>optional
successbooleanoptional
Error handling
A 401 is returned: unauthorized. A 422 is returned: validation errors.